Subject: [Gen-art] GenART LC review of draft-ietf-mif-dns-server-selection-09

From: Christer Holmberg <[email-masked]>
Date: Tue, 5 Jun 2012 08:50:39 +0200

I am the assigned Gen-ART reviewer for this draft. For background on
Gen-ART, please see the FAQ at
<http://wiki.tools.ietf.org/area/gen/trac/wiki/GenArtfaq>.

Please resolve these comments along with any other Last Call comments
you may receive.

Document: draft-ietf-mif-dns-server-selection-09.txt
Reviewer: Christer Holmberg
Review Date: 2012-06-05
IETF LC End Date: 2012-06-08
IESG Telechat date: (if known) 2012-06-21

Summary: The document is ready for publication, but there are a number of editorial nits.

Major issues: -

Minor issues: -

Nits/editorial comments:

General:

----------

Q_GEN-1: Throughout the document, please check whether RFC 2119 style, with capital letters, should be used.

Q_GEN-2: Throughout the document,  there are lots of "a/an" and "the" missing. It may be a good idea to double check that, but I guess the RFC editor will also handle it.

Q_GEN-3: Sometimes the documents say "learned information", and sometimes "obtained information". Is it possible to use common terminology?

Section 2.1:

--------------

Q_2_1-1: I suggest to start the section with "In this scenario, a multi-interfaced node is connected to..."

Section 2.2:

--------------

Q_2_2-1: I suggest to change "In the second problem" to "In this scenario".

Q_2_2-2: I suggest to change "Node's" to "The node's"

Section 2.3:

--------------

Q_2_3-1: I would suggest to change the section name to something else, e.g. "Issues with the solution".

Q_2_3-2: Add reference to DNSSEC on first occurance.

Section 3:

------------

Q_3-1: I suggest to modify "First being a Consumer Premises Equipment (CPE) with two or more uplink VLAN connections." to ""The first scenario consists of a Consumer Premises Equipment (CPE) having two or more uplink VLAN connections."

Q_3-2: I suggest to modify "Second scenario involves a cellular device with two uplink Internet connections: WLAN and cellular." to "The second scenario consists of a cellular device with two uplink Internet connections: WLAN and cellular."

Q_3-3: I suggest to modify "Third scenario is for VPNs, where use of local RDNSS may be preferred for latency reasons, but enterprise's RDNSS must be used to resolve private names used by the enterprise." to "The third scenario consists of VPNs, where use of local RDNSS may be preferred for latency reasons, but enterprise's RDNSS must be used to resolve private names used by the enterprise."

Q_3-4: I suggest to add the following sentence to the end of the section: "The following sections describe the scenarios in detail."

Section 3.1:

--------------

Q_3_1-1: I suggest to modify:

   "In the two uplinks scenario only one uplink connection leads to the Internet,
   while another uplink connection leads to a private network utilizing
   private namespaces."

...to:

   "One uplink connection leads to the Internet, while the other leads to a private network utilizing private namespaces."

Q_3_1-2: I suggest to modify: "but instead CPE should send default queries" to "but rather sends default queries".

Section 3.2:

Q_3_2-1: I suggest to modify: "In such a case" to "In such cases".

Section 4.1:

--------------

Q_4_1-1: The first sentence, "A resolver SHALL build a priority list of RDNSSes it will contact to depending on the query." is difficult to parse. Depending on the query what?

Q_4_1-2: I suggest to modify "To build the list in an optimal way, a node SHOULD ask with DHCP which..." to "To build the list in an optimal way, a node SHOULD ask, using DHCP, which..."

Q_4_1-3: Modify "do so, see Section 4.4 for details." to "do so. See Section 4.4 for details."

Q_4_1-4: I suggest to modify:

   "The route must point to the interface each RDNSS
   address was learned on.  This is required to ensure DNS queries are
   sent out via the right network interface."

...to:

   "In order to ensure that DNS queries are sent out via the correct network interface, the route must point to the interface on which each RDNSS address was retrieved."

Q_4_1-5: Modify "on the nature of" to "the nature of".

Q_4_1-6: In the sentence which says "In the case of all other things being equal the resolver shall make the prioritization decision based on its internal preferences."

...I think it would be good to use some other wording than "other things". Maybe something like:

"In case the procedures above result in equal priorities, the resolver shall make the priorization decision based on..."

Q_4_1-7: I suggest to modify:

   "A node SHALL send requests to RDNSSes in the order defined by the
   priority list until an acceptable reply is received, all replies are
   received, or a time out occurs."

...to: "A node SHALL, according to the priority list, send requests to RDNSSes until an acceptable reply is received, until all replies have been received, or until a time-out occures".

Section 4.4:

--------------

Q_4_4-1: Would "Limitations of usage" be a better section title?

 Regards,

Christer